using System;
using System.Data;
using System.Data.SqlClient;
using System.Data.SqlTypes;
using System.Xml;
using System.Reflection;
using System.Configuration;
using ESpace.DALibrary.SqlServer;
using ESpace.DALibrary;

namespace AVC.Passport.DataAccess
{
	public class UserMstSelectByConditions : DataAccessBase
	{
		public UserMstSelectByConditions()
		{
			base.EncryptMethod = Alogrim.SymmProvEnum.DES;
			base.Key = "1234";
			base.IV = "1234";
			ConnectionString = ConfigurationManager.AppSettings["Passport"];
			base.InitCommand("[dbo].[UserMstSelectByConditions]");
			ConfigParameter();
		}

		private SqlParameter paramSubSystemID;
		public System.String SubSystemID
		{
			get
			{
				return (System.String)paramSubSystemID.Value;
			}
			set
			{
				paramSubSystemID.Value = value;
			}
		}

		private SqlParameter paramUserName;
		public System.String UserName
		{
			get
			{
				return (System.String)paramUserName.Value;
			}
			set
			{
				paramUserName.Value = value;
			}
		}

		private SqlParameter paramEMail;
		public System.String EMail
		{
			get
			{
				return (System.String)paramEMail.Value;
			}
			set
			{
				paramEMail.Value = value;
			}
		}

		private SqlParameter paramLastLoginTimeBegin;
		public System.DateTime LastLoginTimeBegin
		{
			get
			{
				return (System.DateTime)paramLastLoginTimeBegin.Value;
			}
			set
			{
				paramLastLoginTimeBegin.Value = value;
			}
		}

		private SqlParameter paramLastLoginTimeEnd;
		public System.DateTime LastLoginTimeEnd
		{
			get
			{
				return (System.DateTime)paramLastLoginTimeEnd.Value;
			}
			set
			{
				paramLastLoginTimeEnd.Value = value;
			}
		}

		private SqlParameter paramCreateTimeBegin;
		public System.DateTime CreateTimeBegin
		{
			get
			{
				return (System.DateTime)paramCreateTimeBegin.Value;
			}
			set
			{
				paramCreateTimeBegin.Value = value;
			}
		}

		private SqlParameter paramCreateTimeEnd;
		public System.DateTime CreateTimeEnd
		{
			get
			{
				return (System.DateTime)paramCreateTimeEnd.Value;
			}
			set
			{
				paramCreateTimeEnd.Value = value;
			}
		}

		private SqlParameter paramPageSize;
		public System.Int32 PageSize
		{
			get
			{
				return (System.Int32)paramPageSize.Value;
			}
			set
			{
				paramPageSize.Value = value;
			}
		}

		private SqlParameter paramCurrentPage;
		public System.Int32 CurrentPage
		{
			get
			{
				return (System.Int32)paramCurrentPage.Value;
			}
			set
			{
				paramCurrentPage.Value = value;
			}
		}

		private SqlParameter paramTotalPage;
		public System.Int32 TotalPage
		{
			get
			{
				return (System.Int32)paramTotalPage.Value;
			}
			set
			{
				paramTotalPage.Value = value;
			}
		}

		private SqlParameter paramTotalRecord;
		public System.Int32 TotalRecord
		{
			get
			{
				return (System.Int32)paramTotalRecord.Value;
			}
			set
			{
				paramTotalRecord.Value = value;
			}
		}

		private SqlParameter paramSortBy;
		public System.String SortBy
		{
			get
			{
				return (System.String)paramSortBy.Value;
			}
			set
			{
				paramSortBy.Value = value;
			}
		}

		public void ConfigParameter()
		{
			//--------------------------------------------------------
			paramSubSystemID = new SqlParameter();
			paramSubSystemID.ParameterName = "@SubSystemID";
			paramSubSystemID.SqlDbType = SqlDbType.VarChar;
			paramSubSystemID.Size = 6;
			paramSubSystemID.Direction = ParameterDirection.Input;
			paramSubSystemID.Value = DBNull.Value;
			base.sqlComm.Parameters.Add(this.paramSubSystemID);
			//--------------------------------------------------------
			paramUserName = new SqlParameter();
			paramUserName.ParameterName = "@UserName";
			paramUserName.SqlDbType = SqlDbType.VarChar;
			paramUserName.Size = 50;
			paramUserName.Direction = ParameterDirection.Input;
			paramUserName.Value = DBNull.Value;
			base.sqlComm.Parameters.Add(this.paramUserName);
			//--------------------------------------------------------
			paramEMail = new SqlParameter();
			paramEMail.ParameterName = "@EMail";
			paramEMail.SqlDbType = SqlDbType.VarChar;
			paramEMail.Size = 100;
			paramEMail.Direction = ParameterDirection.Input;
			paramEMail.Value = DBNull.Value;
			base.sqlComm.Parameters.Add(this.paramEMail);
			//--------------------------------------------------------
			paramLastLoginTimeBegin = new SqlParameter();
			paramLastLoginTimeBegin.ParameterName = "@LastLoginTimeBegin";
			paramLastLoginTimeBegin.SqlDbType = SqlDbType.DateTime;
			paramLastLoginTimeBegin.Size = 16;
			paramLastLoginTimeBegin.Scale = 3;
			paramLastLoginTimeBegin.Direction = ParameterDirection.Input;
			paramLastLoginTimeBegin.Value = DBNull.Value;
			base.sqlComm.Parameters.Add(this.paramLastLoginTimeBegin);
			//--------------------------------------------------------
			paramLastLoginTimeEnd = new SqlParameter();
			paramLastLoginTimeEnd.ParameterName = "@LastLoginTimeEnd";
			paramLastLoginTimeEnd.SqlDbType = SqlDbType.DateTime;
			paramLastLoginTimeEnd.Size = 16;
			paramLastLoginTimeEnd.Scale = 3;
			paramLastLoginTimeEnd.Direction = ParameterDirection.Input;
			paramLastLoginTimeEnd.Value = DBNull.Value;
			base.sqlComm.Parameters.Add(this.paramLastLoginTimeEnd);
			//--------------------------------------------------------
			paramCreateTimeBegin = new SqlParameter();
			paramCreateTimeBegin.ParameterName = "@CreateTimeBegin";
			paramCreateTimeBegin.SqlDbType = SqlDbType.DateTime;
			paramCreateTimeBegin.Size = 16;
			paramCreateTimeBegin.Scale = 3;
			paramCreateTimeBegin.Direction = ParameterDirection.Input;
			paramCreateTimeBegin.Value = DBNull.Value;
			base.sqlComm.Parameters.Add(this.paramCreateTimeBegin);
			//--------------------------------------------------------
			paramCreateTimeEnd = new SqlParameter();
			paramCreateTimeEnd.ParameterName = "@CreateTimeEnd";
			paramCreateTimeEnd.SqlDbType = SqlDbType.DateTime;
			paramCreateTimeEnd.Size = 16;
			paramCreateTimeEnd.Scale = 3;
			paramCreateTimeEnd.Direction = ParameterDirection.Input;
			paramCreateTimeEnd.Value = DBNull.Value;
			base.sqlComm.Parameters.Add(this.paramCreateTimeEnd);
			//--------------------------------------------------------
			paramPageSize = new SqlParameter();
			paramPageSize.ParameterName = "@PageSize";
			paramPageSize.SqlDbType = SqlDbType.Int;
			paramPageSize.Precision = 10;
			paramPageSize.Scale = 0;
			paramPageSize.Direction = ParameterDirection.Input;
			paramPageSize.Value = DBNull.Value;
			base.sqlComm.Parameters.Add(this.paramPageSize);
			//--------------------------------------------------------
			paramCurrentPage = new SqlParameter();
			paramCurrentPage.ParameterName = "@CurrentPage";
			paramCurrentPage.SqlDbType = SqlDbType.Int;
			paramCurrentPage.Precision = 10;
			paramCurrentPage.Scale = 0;
			paramCurrentPage.Direction = ParameterDirection.InputOutput;
			paramCurrentPage.Value = DBNull.Value;
			base.sqlComm.Parameters.Add(this.paramCurrentPage);
			//--------------------------------------------------------
			paramTotalPage = new SqlParameter();
			paramTotalPage.ParameterName = "@TotalPage";
			paramTotalPage.SqlDbType = SqlDbType.Int;
			paramTotalPage.Precision = 10;
			paramTotalPage.Scale = 0;
			paramTotalPage.Direction = ParameterDirection.InputOutput;
			paramTotalPage.Value = DBNull.Value;
			base.sqlComm.Parameters.Add(this.paramTotalPage);
			//--------------------------------------------------------
			paramTotalRecord = new SqlParameter();
			paramTotalRecord.ParameterName = "@TotalRecord";
			paramTotalRecord.SqlDbType = SqlDbType.Int;
			paramTotalRecord.Precision = 10;
			paramTotalRecord.Scale = 0;
			paramTotalRecord.Direction = ParameterDirection.InputOutput;
			paramTotalRecord.Value = DBNull.Value;
			base.sqlComm.Parameters.Add(this.paramTotalRecord);
			//--------------------------------------------------------
			paramSortBy = new SqlParameter();
			paramSortBy.ParameterName = "@SortBy";
			paramSortBy.SqlDbType = SqlDbType.VarChar;
			paramSortBy.Size = 100;
			paramSortBy.Direction = ParameterDirection.Input;
			paramSortBy.Value = DBNull.Value;
			base.sqlComm.Parameters.Add(this.paramSortBy);
		}
	}
}